@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&display=swap');


:root {
    /* Cor Background */
    --bg-base: #ffffff;
    --bg-base-dark: #000;
    --bg-base-grey-light: #f2f2f5;
    --bg-base-grey-dark: #f5f5f5;
    /* Cor primaria */

    /* Cor secundaria */


    /* Cor para fonts */
    --text-dark: #000;
    --text-light: #fff;
    --text-yellow: #ffc757;
    --text-danger: red;

    /* Cor para butões */
    --color-bg-btn-dark: #000000;
    --color-bg-btn-danger: red;
    --color-bg-btn-sucess: green;
    --color-bg-btn-light: ;


    --color-bg-btn-hover: #7d7d7d;

    /* Sombras */
    --box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.178);

    /* Transições */
    --transition-all: all 0.3s ease;

    /* Bordas */
    --color-border: #7d7d7d;
}

* {
    margin: 0;
    box-sizing: border-box;
    font-family: "Oswald", sans-serif;
    font-optical-sizing: auto;
    font-weight: 350;
    font-style: normal;
    color: var(--color-text-light);
}

body {
    display: flex;
    padding: 24px;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100vw;
}

.conteiner {
    display: flex;
    justify-content: center;
    padding: 24px;
    width: 100%;
}

.row-login {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 12px 12px 12px 12px;
    border-radius: 10px;
    background-color: var(--bg-base-grey-dark);
    box-shadow: var(--box-shadow);

    & .version {
        margin-top: 12px;
    }
}

.login {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    width: 400px;
    background-color: var(--bg-base);
    padding: 24px;
    border-radius: 10px;
    border: 1px solid var(--bg-base-grey-light);
    box-shadow: var(--box-shadow);
}

.title {
    width: 100%;
    text-align: center;
    margin-bottom: 10px;

    & img {
        width: 80px;
    }
}

.input_email {

    width: 100%;

    & .input_name_group {
        display: flex;
        width: 100%;
        position: relative;

        & i:nth-child(1) {
            position: absolute;
            left: 10px;
            top: 13px;
            color: var(--color-bg-btn-hover)
        }

        & #user {
            position: absolute;
            right: 10px;
            top: 13px;
            color: var(--color-bg-btn-hover)
        }

        & input {
            width: 100%;
            outline: none;
            padding: 10px 35px 10px 35px;
            border: none;
            border-bottom: 2px solid var(--bg-base-dark);
        }

        & input:hover,
        input:focus {
            border-bottom: 2px solid var(--text-yellow);
        }
    }
}

.input_password {
    display: flex;
    flex-direction: column;
    width: 100%;

    & .input_password_group {
        display: flex;
        width: 100%;
        position: relative;

        & i:nth-child(1) {
            position: absolute;
            left: 10px;
            top: 13px;
            color: var(--color-bg-btn-hover)
        }

        & #eye {
            position: absolute;
            right: 10px;
            top: 13px;
            color: var(--color-bg-btn-hover)
        }

        & input {
            width: 100%;
            outline: none;
            padding: 10px 35px 10px 35px;
            border: none;
            border-bottom: 2px solid var(--bg-base-dark);
        }

        & input:hover,
        input:focus {
            border-bottom: 2px solid var(--text-yellow);
        }
    }

    & a {
        width: 100%;
        display: flex;
        margin-top: 10px;
        justify-content: end;
        text-decoration: none;

        & label {
            position: relative;
            cursor: pointer;
            font-size: 15px;
        }
    }

    & a label::before {
        content: '';
        position: absolute;
        left: 0;
        bottom: -4px;
        width: 0;
        height: 2px;
        background-color: var(--text-yellow);
        transition: width 0.3s ease;
    }

    a label:hover::before {
        width: 100%;
    }
}

.erro {
    & div {
        color: var(--text-danger);
    }
}

.container_access {
    display: flex;
    flex-direction: column;
    width: 100%;

    & input {
        background-color: var(--color-bg-btn-dark);
        border: none;
        padding: 6px;
        color: var(--color--dark);
        border-radius: 5px;
        transition: var(--transition-all);
        cursor: pointer;
        color: var(--text-light);
    }

    & input:hover {
        background-color: var(--color-bg-btn-hover);
    }

    & div {
        display: flex;
        justify-content: center;

        & label span {
            position: relative;
            display: inline-block;
            color: var(--text-dark);
            cursor: pointer;
        }

        & label span::before {
            content: '';
            position: absolute;
            left: 0;
            bottom: -4px;
            width: 0;
            height: 2px;
            background-color: var(--text-yellow);
            transition: width 0.3s ease;
        }

        & label a span:hover::before {
            width: 100%;
        }
    }

}

@media (max-width: 600px) {
    .login {
        width: 300px;
    }
}